Package: org.codehaus.groovy.control.customizers.builder

## [Java] Class CustomizersFactory

- org.codehaus.groovy.control.customizers.builder.CustomizersFactory

- All Implemented Interfaces and Traits:
    PostCompletionFactory

      @SuppressWarnings({"unchecked","rawtypes"})
      public class CustomizersFactory
      extends AbstractFactory
      implements PostCompletionFactory

  This factory generates an array of compilation customizers.

  Since:
    2.1.0

- - ### Methods Summary

    Methods
    Type Params | Return Type | Name and description
    --- | --- | ---
    `` | `public Object` | `newInstance(FactoryBuilderSupport builder, Object name, Object value, Map attributes)`
    `` | `public Object` | `postCompleteNode(FactoryBuilderSupport factory, Object parent, Object node)`
    `` | `public void` | `setChild(FactoryBuilderSupport builder, Object parent, Object child)`

  - ### Inherited Methods Summary

    Inherited Methods
    Methods inherited from class | Name
    --- | ---
    `class AbstractFactory` | `isHandlesNodeChildren, isLeaf, onFactoryRegistration, onHandleNodeAttributes, onNodeChildren, onNodeCompleted, setChild, setParent`

- - ### Method Detail

    - #### @Override
      public Object newInstance(FactoryBuilderSupport builder, Object name, Object value, Map attributes)

    - #### @Override
      public Object postCompleteNode(FactoryBuilderSupport factory, Object parent, Object node)

    - #### @Override
      public void setChild(FactoryBuilderSupport builder, Object parent, Object child)